#include <stdlib.h>
#include <stdio.h>
#include	<sys/types.h>		/* for time_t and stat */
#include	<sys/stat.h>

/*
void locknum(){}
void creat(){}
void stat(){}
void execl(){}
void ospeed(){}
void tgoto(){}
void tgetnum(){}
void tgetstr(){}
void tputs(){}
void sleep(){}
void readmail(){}
void setuid(){}
void getgid(){}
void setgid(){}
void morc(){}
void tgetent(){}
void tgetflag(){}
void wait(){}
void setftty(){}
*/
void setmode(){}
void getcwd(){}
void kbhit(){printf("kbhit!\n");}
void _exit(){exit(-1);}
void chdir(){}


struct stat buf, hbuf;

uptodate(fd) {
	if(fstat(fd, &buf)) {
		pline("Cannot get status of saved level? ");
		return(0);
	}
	if(buf.st_mtime < hbuf.st_mtime) {
		pline("Saved level is out of date. ");
		return(0);
	}
	return(1);
}

void signal(){}